import 'package:flutter/material.dart';
import 'package:flutter_ads/ads_splashview.dart';

class SplashPage extends StatefulWidget {
  @override
  _SplashPageState createState() => _SplashPageState();
}

class _SplashPageState extends State<SplashPage> {



  @override
  Widget build(BuildContext context) {
    return Scaffold(
      body: SplashWidget()
    );
  }
}

class SplashWidget extends StatelessWidget {

  @override
  Widget build(BuildContext context) {
    return RepaintBoundary(
      child: Container(
        margin: EdgeInsets.only(top: 30),
        child: AdsSplashView(
          adsTick: (int) {
            print(int);
          },
          asdIsFinish: () {
            Navigator.of(context).pop();
          },
        ),
      ),
    );
  }
}
