import 'package:flutter/foundation.dart';
import 'package:flutter/material.dart';
import 'package:flutter/services.dart';

typedef AdsIsFinish = void Function();

typedef AdsTick = void Function(num);

class AdsBannerView extends StatefulWidget {
  final AdsIsFinish asdIsFinish;
  final AdsTick adsTick;

  const AdsBannerView({Key key, this.asdIsFinish, this.adsTick})
      : super(key: key);


  @override
  _AdsBannerViewState createState() => _AdsBannerViewState();
}

// 设置事件监听方法
class _AdsBannerViewState extends State<AdsBannerView> {
  @override
  void initState() {
    super.initState();
  }

  @override
  void dispose() {
    super.dispose();
  }

  @override
  Widget build(BuildContext context) {
    if (defaultTargetPlatform == TargetPlatform.android) {
      return AndroidView(viewType: 'plugins.nova.ads/bannerview');
    } else {
      return Text(
          '$defaultTargetPlatform is not yet supported by the text_view plugin');
    }
  }
}
